Bug 2177982 - Crash when using Win+P shortcut
Summary: Crash when using Win+P shortcut
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:18072915fc5ade019af70436872...
: 2176559 (view as bug list)
Depends On:
Blocks: F38FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2023-03-14 06:36 UTC by Kamil Páral
Modified: 2023-03-19 00:40 UTC (History)
10 users (show)

Fixed In Version: mutter-44~rc-5.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-19 00:40:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.40 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: maps (3.96 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: environ (2.04 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: open_fds (13.43 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: mountinfo (3.86 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: os_info (756 bytes, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.77 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: core_backtrace (109.13 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: exploitable (81 bytes, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: var_log_messages (650 bytes, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details
File: backtrace (47.28 KB, text/plain)
2023-03-14 06:36 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 2694 0 None opened [44.rc] Crash when using Win+P shortcut 2023-03-15 23:32:48 UTC
GNOME Gitlab GNOME mutter merge_requests 2912 0 None opened monitor-manager: Apply switch-config in idle callback 2023-03-15 23:33:11 UTC

Description Kamil Páral 2023-03-14 06:36:16 UTC
Description of problem:
I'm replicating bug 2176559 using gnome-shell-44~rc-1.fc38.x86_64. Gnome Shell crashes when I use Win+P to switch between displays configuration.

Version-Release number of selected component:
gnome-shell-44~rc-1.fc38

Additional info:
reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=f14ac85b1ea64de087f79c5fe57e0ea5;i=1b2466;b=d906eb8d1eba42a2b5d7263f2a0d23b9;m=13dc8b01;t=5f6d65fb82afe;x=76d731663830c438
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.6-300.fc38.x86_64
package:        gnome-shell-44~rc-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-44~rc-1.fc38.x86_64 (Fedora Project) 1678436216
backtrace_rating: 4
crash_function: set_crtc_cursor
comment:        I'm replicating bug 2176559 using gnome-shell-44~rc-1.fc38.x86_64. Gnome Shell crashes when I use Win+P to switch between displays configuration.

Truncated backtrace:
Thread no. 0 (9 frames)
 #0 set_crtc_cursor at ../src/backends/native/meta-cursor-renderer-native.c:404
 #1 meta_cursor_renderer_native_prepare_frame at ../src/backends/native/meta-cursor-renderer-native.c:584
 #2 meta_stage_native_prepare_frame at ../src/backends/native/meta-stage-native.c:132
 #3 _clutter_stage_window_prepare_frame at ../clutter/clutter/clutter-stage-window.c:128
 #4 handle_frame_clock_frame at ../clutter/clutter/clutter-stage-view.c:1252
 #5 clutter_frame_clock_dispatch at ../clutter/clutter/clutter-frame-clock.c:791
 #6 frame_clock_source_dispatch at ../clutter/clutter/clutter-frame-clock.c:839
 #9 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #11 meta_context_run_main_loop at ../src/core/meta-context.c:482

Comment 1 Kamil Páral 2023-03-14 06:36:20 UTC
Created attachment 1950438 [details]
File: proc_pid_status

Comment 2 Kamil Páral 2023-03-14 06:36:22 UTC
Created attachment 1950439 [details]
File: maps

Comment 3 Kamil Páral 2023-03-14 06:36:23 UTC
Created attachment 1950440 [details]
File: limits

Comment 4 Kamil Páral 2023-03-14 06:36:25 UTC
Created attachment 1950441 [details]
File: environ

Comment 5 Kamil Páral 2023-03-14 06:36:26 UTC
Created attachment 1950442 [details]
File: open_fds

Comment 6 Kamil Páral 2023-03-14 06:36:28 UTC
Created attachment 1950443 [details]
File: mountinfo

Comment 7 Kamil Páral 2023-03-14 06:36:30 UTC
Created attachment 1950444 [details]
File: os_info

Comment 8 Kamil Páral 2023-03-14 06:36:31 UTC
Created attachment 1950445 [details]
File: cpuinfo

Comment 9 Kamil Páral 2023-03-14 06:36:34 UTC
Created attachment 1950446 [details]
File: core_backtrace

Comment 10 Kamil Páral 2023-03-14 06:36:35 UTC
Created attachment 1950447 [details]
File: exploitable

Comment 11 Kamil Páral 2023-03-14 06:36:37 UTC
Created attachment 1950448 [details]
File: var_log_messages

Comment 12 Kamil Páral 2023-03-14 06:36:38 UTC
Created attachment 1950449 [details]
File: backtrace

Comment 13 Kamil Páral 2023-03-14 06:48:52 UTC
*** Bug 2176559 has been marked as a duplicate of this bug. ***

Comment 14 Kamil Páral 2023-03-14 06:49:50 UTC
Proposing for a blocker discussion.

Comment 15 Adam Williamson 2023-03-15 23:33:43 UTC
+6 in https://pagure.io/fedora-qa/blocker-review/issue/1095 , marking accepted.

Comment 16 Fedora Update System 2023-03-16 23:13:25 UTC
FEDORA-2023-6cec60a347 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

Comment 17 Kamil Páral 2023-03-17 11:39:25 UTC
(In reply to Fedora Update System from comment #16)
> FEDORA-2023-6cec60a347 has been submitted as an update to Fedora 38.
> https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

Fixed

Comment 18 Fedora Update System 2023-03-18 05:13:50 UTC
FEDORA-2023-6cec60a347 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6cec60a347

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-03-19 00:40:01 UTC
FEDORA-2023-6cec60a347 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.